%define module_name Business-OnlinePayment-Litle
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/CreditCard.pm) perl(Business/OnlinePayment.pm) perl(Business/OnlinePayment/HTTPS.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/String.pm) perl(Log/Scrubber.pm) perl(MIME/Base64.pm) perl(Net/SFTP/Foreign.pm) perl(Net/SSLeay.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Kwalitee.pm) perl(Test/MockObject.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tie/IxHash.pm) perl(XML/Simple.pm) perl(XML/Writer.pm) perl(bytes.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.959
Release: alt1
Summary: Litle & Co. Backend for Business::OnlinePayment
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Business-OnlinePayment-Litle/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JAYCE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a plugin for the Business::OnlinePayment interface.  Please refer to that docuementation for general usage, and here for Litle specific usage..
In order to use this module, you will need to have an account set up with Litle & Co. http://www.litle.com/


  use Business::OnlinePayment;
  my $tx = Business::OnlinePayment->new(
     "Litle",
     default_Origin => 'NEW',
  );

  $tx->content(
      type           => 'CC',
      login          => 'testdrive',
      password       => '123qwe',
      action         => 'Normal Authorization',
      description    => 'FOO*Business::OnlinePayment test',
      amount         => '49.95',
      customer_id    => 'tfb',
      name           => 'Tofu Beast',
      address        => '123 Anystreet',
      city           => 'Anywhere',
      state          => 'UT',
      zip            => '84058',
      card_number    => '4007000000027',
      expiration     => '09/02',
      cvv2           => '1234', #optional
      invoice_number => '54123',
  );
  $tx->submit();

  if($tx->is_success()) {
      print "Card processed successfully: ".$tx->authorization."\n";
  } else {
      print "Card was rejected: ".$tx->error_message."\n";
  }


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES LICENSE ignore.txt
%perl_vendor_privlib/B*

%changelog
* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.959-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.958-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.957-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.954-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.953-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.952-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 0.940-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.939-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.935-alt1
- initial import by package builder

